Name:  moleinvasion
Version: 0.4
Release: %mkrel 4
Summary: Jump'n run game with Tux
URL:  http://moleinvasion.tuxfamily.org/
Source0:  ftp://download.tuxfamily.org/minvasion/packages/MoleInvasion-%{version}.tar.bz2
Patch0:	 moleinvasions-fix-build.diff
License: GPLv2+
Group:  Games/Arcade
BuildRequires: SDL_ttf-devel
BuildRequires: SDL_mixer
BuildRequires: GL-devel
BuildRequires: SDL_mixer-devel
BuildRequires: gcc-c++
BuildRequires: libpng-devel
BuildRequires: tcl-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL-devel

%description
This is a classic jump and run game where Tux must deal with Moles.

%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
make -C src

%install
%makeinstall_std install-data -C src

# man pages
mkdir -p %{buildroot}%{_mandir}/man6/
cp debian/*.6 %{buildroot}%{_mandir}/man6/

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Mole Invasion
Icon=%{_gamesdatadir}/%{name}/gfx/icon.xpm
Exec=%{_gamesbindir}/%{name}
Terminal=false
Categories=Game;ActionGame;
EOF

%files
%{_gamesbindir}/*
%{_mandir}/man6/*
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 527517
- Mageia 4 Mass Rebuild

  + wally <wally>
    - fix source url

* Sat Jun 08 2013 wally <wally> 0.4-3.mga4
+ Revision: 440601
- build using our %%optflags and %%ldflags

* Sat Jun 08 2013 wally <wally> 0.4-2.mga4
+ Revision: 440575
- use xdg menu system (aka .desktop file) instead of debian style menu
- clean .spec a bit

* Mon Jan 14 2013 tv <tv> 0.4-1.mga3
+ Revision: 388083
- imported package moleinvasion

